<?php
/*
 * @Author: taowj 965042433@qq.com
 * @Date: 2024-01-27 13:57:45
 * @LastEditors: taowj 965042433@qq.com
 * @LastEditTime: 2024-02-01 17:46:53
 * @FilePath: \introducer\application\admin\model\order\Order.php
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

namespace app\admin\model\order;

use think\Model;


class Order extends Model
{





    // 表名
    protected $name = 'order';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'order_type_text',
        'status_text',
        'endtime_text'
    ];



    public function getOrderTypeList()
    {
        return ['0' => __('Order_type 0'), '2' => __('Order_type 2'), '4' => __('Order_type 4'), '5' => __('Order_type 5'), '6' => __('Order_type 6'), '7' => __('Order_type 7'), '8' => __('Order_type 8')];
    }

    public function getStatusList()
    {
        return ['0' => __('Status 0'), '1' => __('Status 1'), '2' => __('Status 2'), '3' => __('Status 3'), '4' => __('Status 4'), '5' => __('Status 5')];
    }


    public function getOrderTypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['order_type']) ? $data['order_type'] : '');
        $list = $this->getOrderTypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getEndtimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['endtime']) ? $data['endtime'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }

    protected function setEndtimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }

    public function usermoneylog()
    {
        return self::hasOne("app\admin\model\users\Usermoneylog", 'order_id', "id");
    }
    public function users()
    {
        return self::hasOne("app\admin\model\users\Users", 'id', "user_id");
    }
}
